

/*
 * Funzione di traduzione
 * */
function i18nT(key,def) {
	var ret=def;
	if(appLang=='it') {
		if(i18n_it[key]) ret=i18n_it[key];
		else {
		    // Chiave non trovata: LOG
		    if(_debug) console.log("I18N missing key:"+key);
		}
	} 
	return ret;
}

function i18nHtml() {
	// Esegue traduzione su tutti gli oggetti marcati i18n
	$('[data-i18n]').each(function() {		
		var key=$(this).attr('data-i18n');
		var def=$(this).html();
		if(key) {			
			// in str ho la chiave
			var v=i18nT(key,def);
			if(v!=def) 
				$(this).html(v);
		}		
	});
}
